//-------------------------------------------------------------------------
/*
Copyright (C) 1996, 2003 - 3D Realms Entertainment

This file is part of Duke Nukem 3D version 1.5 - Atomic Edition

Duke Nukem 3D is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Original Source: 1996 - Todd Replogle
Prepared for public release: 03/21/2003 - Charlie Wiederhold, 3D Realms
*/
//-------------------------------------------------------------------------

enum
{
	GRID = 0,
	SECTOREFFECTOR = 1,
	ACTIVATOR = 2,
	TOUCHPLATE = 3,
	ACTIVATORLOCKED = 4,
	MUSICANDSFX = 5,
	LOCATORS = 6,
	CYCLER = 7,
	MASTERSWITCH = 8,
	RESPAWN = 9,
	GPSPEED = 10,
	JAILDOOR = 11,
	LNRDTAG = 15,
	SIGN1 = 16,
	SIGN2 = 17,
	TORCH = 18,
	FIRSTGUNSPRITE = 21,
	RIFLESPRITE = 22,
	CROSSBOWSPRITE = 23,
	TEATGUN = 24,
	BUZSAWSPRITE = 25,
	DYNAMITE = 26,
	POWDERKEGSPRITE = 27,
	SHOTGUNSPRITE = 28,
	ALIENARMGUN = 29,
	HEALTHBOX = 30,
	AMMOBOX = 31,
	TEATAMMO = 32,
	INVENTORYBOX = 33,
	DOORKEYS = 34,
	LIGHTNIN = 35,
	DESTRUCTO = 36,
	JAILSOUND = 38,
	AMMO = 40,
	RIFLEAMMO = 41,
	ALIENBLASTERAMMO = 42,
	BLADEAMMO = 43,
	HBOMBAMMO = 47,
	SHOTGUNAMMO = 49,
	BEER = 51,
	PORKBALLS = 52,
	WHISKEY = 53,
	MOONSHINE = 55,
	SNORKLE = 56,
	COWPIE = 57,
	DOORKEY = 60,
	BOOTS = 61,
	MINECARTKILLER = 67,
	SHADESECTOR = 68,
	SOUNDFX = 71,
	MULTISWITCH = 98,
	DOORSHOCK = 120,
	FLOORSLIME = 132,
	BIGFORCE = 135,
	SCREENBREAK6 = 164,
	SCREENBREAK7 = 165,
	SCREENBREAK8 = 166,
	FANSPRITEWORK = 210,
	FANSPRITE = 211,
	FANSPRITEBROKE = 215,
	GRATE1 = 234,
	BGRATE1 = 235,
	WATERDRIP = 239,
	WATERBUBBLE = 240,
	WATERBUBBLEMAKER = 241,
	W_FORCEFIELD = 242,
	LIGHTSWITCH2 = 250,
	UFOBEAM = 252,
	BOULDER = 256,
	BOULDER1 = 264,
	BOWLLINE = 280,
	CHICKENA = 285,
	CHICKENC = 286,
	HEADCHK = 287,
	FEATHERCHK = 288,
	LOAF = 289,
	NUGGETS = 290,
	PACKEDCHK = 291,
	BONELESSCHK = 292,
	JIBSCHK = 293,
	BIGFNTCURSOR = 512,
	SMALLFNTCURSOR = 513,
	STARTALPHANUM = 514,
	ENDALPHANUM = 607,
	BIGALPHANUM = 632,
	BIGPERIOD = 694,
	BIGCOMMA = 695,
	BIGX = 696,
	BIGQ = 697,
	BIGSEMI = 698,
	BIGCOLIN = 699,
	THREEBYFIVE = 702,
	BIGAPPOS = 714,
	MINIFONT = 718,
	RESPAWNMARKERRED = 866,

	MOONSKY1 = 1022,
	MOONSKY2 = 1023,
	MOONSKY3 = 1024,
	MOONSKY4 = 1025,
	BIGORBIT1 = 1026,
	BIGORBIT2 = 1027,
	BIGORBIT3 = 1028,
	BIGORBIT4 = 1029,
	BIGORBIT5 =1030,
	WATERTILE2 = 1045,
	GLASS = 1056,
	GLASS2 = 1057,
	CRACK1 = 1075,
	CRACK2 = 1076,
	CRACK3 = 1077,
	CRACK4 = 1078,
	FOOTPRINTS = 1079,
	MIRROR = 1089,
	WATERFOUNTAIN = 1092,
	REACTOR = 1107,
	REACTORBURNT = 1108,
	REACTORSPARK = 1109,
	BOLT1 = 1127,
	
	
	CAMERA1 = 1134,
	FOOTPRINTS2 = 1144,
	FOOTPRINTS3 = 1145,
	FOOTPRINTS4 = 1146,
	SLIME = 1161,
	QUEBALL = 1184,
	STRIPEBALL = 1185,
	POCKET = 1186,
	NEON1 = 1200,
	NEON2 = 1201,
	BOUNCEMINE = 1204,
	BULLETHOLE = 1212,
	TIRE = 1230,
	NEON3 = 1241,
	NEON4 = 1242,
	NEON5 = 1243,
	GLASSPIECES = 1256,
	NEON6 = 1264,
	OOZFILTER = 1273,
	FLOORPLASMA = 1276,
	BOTTLE12 = 1282,
	BOTTLE13 = 1283,
	BOTTLE14 = 1284,
	BOTTLE15 = 1285,
	BOTTLE16 = 1286,
	BOTTLE17 = 1287,
	BOTTLE18 = 1288,
	VENDMACHINE = 1291,
	VENDMACHINEBROKE = 1293,
	COLAMACHINE = 1294,
	COLAMACHINEBROKE = 1296,
	CRANE = 1299,
	BLOODPOOL = 1303,
	CANWITHSOMETHING = 1309,
	FEATHERS = 1310,
	BANNER = 1313,
	SEENINE = 1324,
	SEENINEDEAD = 1325,
	STEAM = 1327,
	CEILINGSTEAM = 1332,
	TRANSPORTERBEAM = 1338,
	RAT = 1344,
	TRASH = 1346,
	WATERSPLASH2 = 1383,
	BLOOD = 1391,
	TRANSPORTERSTAR = 1398,
	ALIENBLAST = 1409,
	TONGUE = 1414,
	MORTER = 1416,
	MUD = 1420,
	RADIUSEXPLOSION = 1426,
	FORCERIPPLE = 1427,
	INNERJAW = 1439,
	EXPLOSION2 = 1441,
	EXPLOSION3 = 1442,
	JIBS1 = 1463,
	JIBS2 = 1468,
	JIBS3 = 1473,
	JIBS4 = 1478,
	JIBS5 = 1483,
	BURNING = 1494,
	FIRE = 1495,
	JIBS6 = 1515,
	BLOODSPLAT1 = 1525,
	BLOODSPLAT3 = 1526,
	BLOODSPLAT2 = 1527,
	BLOODSPLAT4 = 1528,
	OOZ = 1529,
	WALLBLOOD1 = 1530,
	WALLBLOOD2 = 1531,
	WALLBLOOD3 = 1532,
	WALLBLOOD4 = 1533,
	WALLBLOOD5 = 1534,
	WALLBLOOD6 = 1535,
	WALLBLOOD7 = 1536,
	WALLBLOOD8 = 1537,
	OOZ2 = 1538,
	BURNING2 = 1539,
	FIRE2 = 1540,
	SMALLSMOKE = 1554,
	SMALLSMOKEMAKER = 1555,
	SCRAP6 = 1595,
	SCRAP1 = 1605,
	SCRAP2 = 1609,
	SCRAP3 = 1613,
	SCRAP4 = 1617,
	SCRAP5 = 1621,
	F1HELP = 1633,
	MENUSCREEN = 1641,
	MENUBAR = 1642,
	KILLSICON = 1643,
	WHISHKEY_ICON = 1645,
	EMPTY_ICON = 1646,
	BOTTOMSTATUSBAR = 1647,
	BOOT_ICON = 1648,
	FRAGBAR = 1650,
	COWPIE_ICON = 1652,
	SNORKLE_ICON = 1653,
	MOONSHINE_ICON = 1654,
	BEER_ICON = 1655,
	ACCESS_ICON = 1656,
	DIGITALNUM = 1657,
	SLIDEBAR = 1674,
	WINDOWBORDER1 = 1679,
	TEXTBOX = 1680,
	WINDOWBORDER2 = 1681,
	INGAMELNRDTHREEDEE = 1684,
	TENSCREEN = 1685,
	NEWCROSSHAIR = 1689,
	CROSSHAIR = 1692,
	SHELL = 1702,
	SHOTGUNSHELL = 1704,
	FORCESPHERE = 1759,
	SHOTSPARK1 = 1764,
	CROSSBOW = 1774,
	TORNADO = 1930,
	TIKILAMP = 1990,
	POPCORN = 2021,
	TESLACON = 2056,
	TESLABALL = 2094,
	DILDO = 2095,
	TESLA = 2097,
	HURTRAIL = 2221,
	LOCKSWITCH1 = 2224,
	REACTOR2 = 2239,
	REACTOR2SPARK = 2243,
	REACTOR2BURNT = 2247,
	EXPLOSION2BOT = 2272,
	SELECTDIR = 2444,
	VIEWBORDER = 2520,
	ORDERING = 2531,
	TEXTSTORY = 2541,
	LOADSCREEN = 2542,
	STARSKY2 = 2577,
	SPINNINGNUKEICON = 896,
	TOILETPAPER = 2864,
	BUSTAWIN5A = 2878,
	BUSTAWIN5B = 2879,
	BUSTAWIN4A = 2898,
	BUSTAWIN4B = 2899,
	FRAMEEFFECT1 = 2999,
	
	LOAFTILE = 3120,
	NUGGETTILE = 3122,
	BROASTEDTILE = 3123,
	BONELESSTILE = 3124,
	HEAD1TILE = 3132,
	HEAD2TILE = 3133,
	CHICKENATILE = 3190,
	CHICKENBTILE = 3191,
	CHICKENCTILE = 3192,
	
	NEWPISTOL = 3328,
	NEWPISTOLCOCK = 3336,
	NEWCROWBAR = 3340,
	CROWBAR = NEWCROWBAR,
	NEWSHOTGUN = 3350,
	SHOTGUN = NEWSHOTGUN,
	NEWDYNAMITE = 3360,
	RIFLE = 3380,
	CIRCLESTUCK = 3388,
	SHITBALL = 3390,
	BUZSAW = 3395,
	CIRCLESAW = 3400,
	LUMBERBLADE = 3411,
	FIRELASER = 3420,
	BOWLINGBALL = 3430,
	BOWLINGBALLSPRITE = 3437,
	OWHIP = 3471,
	UWHIP = 3475,
	BACKGROUND = 3822,
	APLAYERTOP = 3840,
	APLAYER = 3845,
	PLAYERONWATER = 3860,
	LNYDLADDER = 3975,
	LNRDLYINGDEAD = 3998,
	LNRDGUN = 4041,
	LNRDTORSO = 4046,
	LNRLEG = 4055,
	DOGATTACK = 4060,
	BILLYWALK = 4096,
	BILLYDIE = 4137,
	BILLYCOCK = 4147,
	BILLYRAY = 4162,
	BILLYSHOOT = 4162,
	BILLYRAYSTAYPUT = 4163,
	BILLYBUT = 4188,
	BILLYSCRATCH = 4191,
	BILLYSNIFF = 4195,
	BILLYWOUND = 4202,
	BILLYGORE = 4228,
	BILLYJIBA = 4235,
	BILLYJIBB = 4244,
	DOGRUN = 4260,
	DOGDIE = 4295,
	DOGDEAD = 4303,
	DOGBARK = 4305,
	LTH = 4352,
	LTHSTRAFE = 4395,
	LTHLOAD = 4430,
	LTHDIE = 4456,
	BUBBASCRATCH = 4464,
	BUBBANOSE = 4476,
	BUBBAPISS = 4487,
	BUBBASTAND = 4504,
	BUBBAOUCH = 4506,
	BUBBADIE = 4513,
	BUBBADEAD = 4523,
	HULK = 4649,
	HULKSTAYPUT = 4650,
	HULKA = 4651,
	HULKB = 4652,
	HULKC = 4653,
	HULKJIBA = 4748,
	HULKJIBB = 4753,
	HULKJIBC = 4758,
	SBSWIPE = 4770,
	SBPAIN = 4810,
	SBDIE = 4820,
	HEN = 4861,
	HENSTAYPUT = 4862,
	HENSTAND = 4897,
	MOSQUITO = 4916,
	PIG = 4945,
	PIGSTAYPUT = 4946,
	PIGEAT = 4983,
	SBMOVE = 5015,
	SBSPIT = 5050,
	SBDIP = 5085,
	MINION = 5120,
	MINIONSTAYPUT = 5121,
	UFO1 = 5270,
	UFO2 = 5274,
	UFO3 = 5278,
	UFO4 = 5282,
	UFO5 = 5286,
	MINJIBA = 5290,
	MINJIBB = 5295,
	MINJIBC = 5300,
	COW = 5317,
	COOT = 5376,
	COOTSTAYPUT = 5377,
	COOTSHOOT = 5411,
	COOTDIE = 5437,
	COOTDUCK = 5481,
	COOTPAIN = 5548,
	COOTTRANS = 5568,
	COOTGETUP = 5579,
	ECLAIRHEALTH = 5595,
	COOTJIBA = 5602,
	COOTJIBB = 5607,
	COOTJIBC = 5616,
	VIXEN = 5635,
	VIXENPAIN = 5675,
	VIXENDIE = 5710,
	VIXENSHOOT = 5720,
	VIXENWDN = 5740,
	VIXENWUP = 5775,
	VIXENKICK = 5805,
	VIXENTELE = 5845,
	VIXENTEAT = 5851,
	
	//RA
	AIRPLANE = 8450,
	SWAMPBUGGY = 7233,
	MOTORCYCLE = 7220,
	CHIKENCROSSBOW = 1781,
	BIKERSTAND = 5995,
	BIKERRIDE = 5890,
	BIKERRIDEDAISY = 6401,
	MINIONAIRBOAT = 7192,
	HULKAIRBOAT = 7199,
	DAISYMAE = 6658,
	DAISYAIRBOAT = 7206,
	MINIONUFO = 5260,
	JACKOLOPE = 7280,
	BANJOCOOTER = 7030,
	GUITARBILLY = 7035,
	MAMAJACKOLOPE = 8705,

};
